package com.hdkj.lt.si.service.measurement;

import com.hdkj.lt.core.bizms.modle.dto.StateEstimation;
import com.hdkj.lt.core.bizms.modle.request.StateEstimationEquipRequest;
import com.hdkj.lt.modle.dto.measurement.*;
import com.hdkj.lt.modle.vo.measurement.*;
import com.hdkj.hussar.ApiResponse;
import org.springframework.web.bind.annotation.RequestBody;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author rj
 * @date 2025/5/24 下午3:27
 * @description
 */
public interface IMeasurementApiService {
    MeasurementTokenVO getAccessToken(MeasurementTokenDTO measurementTokenDTO);

    ContainDeviceMeasurementVO getTelesignalCommonQuery(ContainDeviceMeasurementDTO containDeviceMeasurementDTO);

    DistributionTransformerVO getTelemetryCommonQuery(DistributionTransformerDTO distributionTransformerDTO);

    Map<String, BigDecimal> queryPeriodByCommonQuery(StateEstimationEquipRequest request);

    public void SaveCommonQuery(DistributionReceiveVO request);

    public ApiResponse<StateEstimation> queryByFeederSaveCommonQuery(@RequestBody StateEstimationEquipRequest request);

    RecordsVO queryCommonQueryByDay(DistributionTransformerDTO request);
}
